## org.hibernate.event.def
Class DefaultDirtyCheckEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractFlushingEventListener
          org.hibernate.event.def.DefaultDirtyCheckEventListener

All Implemented Interfaces:
  Serializable, DirtyCheckEventListener

    public class DefaultDirtyCheckEventListener

extends AbstractFlushingEventListener
implements DirtyCheckEventListener

Defines the default dirty-check event listener used by hibernate for checking the session for dirtiness in response to generated dirty-check events.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`DefaultDirtyCheckEventListener()`

Method Summary
`void` `onDirtyCheck(DirtyCheckEvent event)` Handle the given dirty-check event.

Methods inherited from class org.hibernate.event.def.AbstractFlushingEventListener
`flushEverythingToExecutions, getAnything, getCascadingAction, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDirtyCheckEventListener

    public DefaultDirtyCheckEventListener()

Method Detail

### onDirtyCheck

    public void onDirtyCheck(DirtyCheckEvent event)
                      throws HibernateException

  Handle the given dirty-check event.

  Specified by:
    `onDirtyCheck` in interface `DirtyCheckEventListener`
  Parameters:
    `event` - The dirty-check event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.